Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065765 - [abrt] easytag: gtk_tree_model_get_valist(): easytag killed by SIGSEGV
Summary: [abrt] easytag: gtk_tree_model_get_valist(): easytag killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: easytag
Version: 20
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: David King
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:9e49c7886bee607911705bae52d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-16 19:14 UTC by Serg Merkelov
Modified: 2014-03-02 03:41 UTC (History)
3 users (show)

Fixed In Version: easytag-2.1.10-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-26 13:55:26 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-02-16 19:15 UTC, Serg Merkelov
no flags Details
File: cgroup (deleted)
2014-02-16 19:15 UTC, Serg Merkelov
no flags Details
File: core_backtrace (deleted)
2014-02-16 19:15 UTC, Serg Merkelov
no flags Details
File: dso_list (deleted)
2014-02-16 19:15 UTC, Serg Merkelov
no flags Details
File: environ (deleted)
2014-02-16 19:15 UTC, Serg Merkelov
no flags Details
File: exploitable (deleted)
2014-02-16 19:15 UTC, Serg Merkelov
no flags Details
File: limits (deleted)
2014-02-16 19:15 UTC, Serg Merkelov
no flags Details
File: maps (deleted)
2014-02-16 19:15 UTC, Serg Merkelov
no flags Details
File: open_fds (deleted)
2014-02-16 19:15 UTC, Serg Merkelov
no flags Details
File: proc_pid_status (deleted)
2014-02-16 19:15 UTC, Serg Merkelov
no flags Details
File: var_log_messages (deleted)
2014-02-16 19:15 UTC, Serg Merkelov
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 723604 None None None Never

Description Serg Merkelov 2014-02-16 19:14:58 UTC
Description of problem:
If defined illegal path in easytagrc/default_path_to_mp3 so application crashes.

Version-Release number of selected component:
easytag-2.1.9-2.fc20

Additional info:
reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        easytag
crash_function: gtk_tree_model_get_valist
executable:     /usr/bin/easytag
kernel:         3.12.10-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 gtk_tree_model_get_valist at gtktreemodel.c:1470
 #1 gtk_tree_model_get at gtktreemodel.c:1432
 #2 Browser_Tree_Select_Dir at src/browser.c:858
 #3 Browser_Load_Default_Directory at src/browser.c:273
 #4 Init_Load_Default_Dir at src/easytag.c:4234
 #9 gtk_main at gtkmain.c:1257
 #14 g_application_activate at gapplication.c:1414
 #15 et_local_command_line at src/application.c:77
 #16 g_application_run at gapplication.c:1585

Comment 1 Serg Merkelov 2014-02-16 19:15:04 UTC
Created attachment 863797 [details]
File: backtrace

Comment 2 Serg Merkelov 2014-02-16 19:15:07 UTC
Created attachment 863798 [details]
File: cgroup

Comment 3 Serg Merkelov 2014-02-16 19:15:09 UTC
Created attachment 863799 [details]
File: core_backtrace

Comment 4 Serg Merkelov 2014-02-16 19:15:11 UTC
Created attachment 863800 [details]
File: dso_list

Comment 5 Serg Merkelov 2014-02-16 19:15:13 UTC
Created attachment 863801 [details]
File: environ

Comment 6 Serg Merkelov 2014-02-16 19:15:15 UTC
Created attachment 863802 [details]
File: exploitable

Comment 7 Serg Merkelov 2014-02-16 19:15:18 UTC
Created attachment 863803 [details]
File: limits

Comment 8 Serg Merkelov 2014-02-16 19:15:20 UTC
Created attachment 863804 [details]
File: maps

Comment 9 Serg Merkelov 2014-02-16 19:15:22 UTC
Created attachment 863805 [details]
File: open_fds

Comment 10 Serg Merkelov 2014-02-16 19:15:24 UTC
Created attachment 863806 [details]
File: proc_pid_status

Comment 11 Serg Merkelov 2014-02-16 19:15:26 UTC
Created attachment 863807 [details]
File: var_log_messages

Comment 12 David King 2014-02-16 20:22:27 UTC
Thanks for the report. This was already worked around upstream with:

https://git.gnome.org/browse/easytag/commit/?id=15fc326f8eda8f3df86d31d9dd362efae66fd2de

This will be in a coming 2.1.10 release. Now that I know the cause behind the invalid iter (thanks!), I can avoid the remaining warnings and come up with a complete fix for that release too.

Comment 13 David King 2014-02-16 21:32:02 UTC
I just fixed this in EasyTAG:

https://git.gnome.org/browse/easytag/commit/?id=aa20526caa45d213cf36b18c27bfbffc3618eccc

There is now a warning message shown in the log when this occurs, and no critical warnings. I will make an upstream release and new Fedora package in the next few days.

Comment 14 Fedora Update System 2014-02-19 21:35:11 UTC
easytag-2.1.10-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/easytag-2.1.10-1.fc20

Comment 15 Fedora Update System 2014-02-19 21:38:30 UTC
easytag-2.1.10-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/easytag-2.1.10-1.fc19

Comment 16 lnie 2014-02-20 03:01:59 UTC
easytag-2.1.10-1.fc20 works

Comment 17 Fedora Update System 2014-02-22 00:57:19 UTC
Package easytag-2.1.10-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing easytag-2.1.10-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-2863/easytag-2.1.10-1.fc20
then log in and leave karma (feedback).

Comment 18 Fedora Update System 2014-02-26 13:55:26 UTC
easytag-2.1.10-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2014-03-02 03:41:52 UTC
easytag-2.1.10-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.